Subject: Re: bug#66313: Acknowledgement (29.1.50; process-mark sometimes does not yield the expected value)

From: Markus Triska <[email-masked]>
Date: Sat, 07 Oct 2023 18:12:44 +0200

Eli Zaretskii <[email-masked]> writes:

> I see no need to revert the patch nor update the documentation.

As I see it, the documentation I cited above no longer matches what
Emacs does. This is because the documentation of `set-process-buffer'
I cited states with regards to BUFFER:

     if non-‘nil’, the process mark will be set to point to the end of
     BUFFER.

This now no longer seems to hold as unconditionally as in the way it is
described, because there are now (again) cases where the process mark
will not be set to point to the end of buffer when calling
`set-process-buffer' with a non-nil BUFFER argument. The snippet I
posted earlier shows an example of this situation.

I would greatly appreciate if the documentation could be written in such
a way that it makes clear what we can rely on when using Emacs Lisp.

Thank you and all the best,
Markus